package com.bonus.bracelet.mapper;

import com.bonus.common.entity.bracelet.vo.DeviceVo;
import com.bonus.common.entity.bracelet.vo.ProjectPowerVo;
import com.bonus.common.entity.bracelet.vo.SidebandDeviceVo;
import com.bonus.common.entity.bracelet.vo.SidebandVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * DeviceMapper
 */
@Repository(value = "DeviceMapper")
public interface DeviceMapper {

    /**
     * 设备列表
     * @param data
     * @return
     */
    List<DeviceVo> getDeviceLists(DeviceVo data);

    /**
     * 获取人员管理表中领用人名称
     * @param id
     * @return
     */
    String getDeviceLyName(int id);

    /**
     * 获取临时人员管理表中领用人名称
     * @param id
     * @return
     */
    String getDeviceLyNameTemp(int id);

        /**
     * 根据设备id获得详细信息
     * @param deviceId
     * @return
     */
    public DeviceVo selectDeviceById(Integer deviceId);

    /**
     * 判断设备名称是否存在
     *
     * @param vo
     * @return int
     * @author cwchen
     * @date 2024/7/17 14:41
     */
    DeviceVo isExist(DeviceVo vo);

    /**
     * 新增时设备名称是否重复
     * @param vo
     * @return
     */
    DeviceVo isNameExist(DeviceVo vo);

    /**
     * 新增时设备领用表是否存在
     * @param deviceId
     * @return
     */
    int getDeviceLy(Integer deviceId);

    /**
     * 修改设备信息
     * @param vo
     * @return
     */
       int updateDevice(DeviceVo vo);

    /**
     * 新增设备信息
     * @param vo
     * @return
     */
    int addDevice(DeviceVo vo);

    /**
     * 新增设备领用信息
     * @param deviceId
     * @return
     */
    int addDeviceLy(Integer deviceId);

    /**
     * 删除设备信息
     * @param deviceId
     * @return
     */
    int deleteDeviceById(int deviceId);

    /**
     * 删除设备领用信息
     * @param deviceId
     * @return
     */
    int deleteDeviceLy(int deviceId);
}
